Autor Wątek: WINE 1.5 w LMDE - instalacja dla matoła  (Przeczytany 35738 razy)

Offline MultiOrg

  • Miętowa sadzonka
  • **
  • Wiadomości: 51
  • Punkty: 2
  • Płeć: Mężczyzna
WINE 1.5 w LMDE - instalacja dla matoła
« dnia: Kwiecień 28, 2012, 10:12:59 am »
Wchodzimy na stronę WineHQ. Jest przyjemnie i po polsku. Przechodzimy do pobieralni, a stamtąd do Pobierz paczki dla Debian. Jest tam nieco tajemnicza instrukcja:
Aby zainstalować paczkę wine musisz najpierw pobrać plik .deb i ręcznie go zainstalować.

Na razie odkładamy ją do teczki "Na potem" i przechodzimy do wskazanej strony z binariami. Tu już nie jest po polsku.

Ściągamy wszystkie paczki, które są nam potrzebne. amd64 oznacza binaria dla 64 bitowych procesorów AMD. Jeżeli ktoś ma Operę, może ściągnąć wszystkie paczki za jednym zamachem - wystarczy w module z linkami strony zaznaczyć co jest potrzebne i wydać polecenia pobrania.
Najlepiej pobierać do osobnego katalogu.

Teraz instrukcja instalacji. Można używać poleceń tekstowych, ale przecież to wątek dla matoła. Używamy zatem nautilusa.
Trzeba go otworzyć z uprawnieniami administratora.
  • A zatem, po pierwsze, powinniśmy znajdować się na swoim podstawowym koncie, tym, które zostało utworzone
    podczas instalacji systemu.
  • Będąc na właściwym koncie odpalamy "Terminal użytkownika root" (jest w grupie Akcesoria, ma czerwieniastą ikonkę i wymaga ponownego podania hasła), wpisujemy:
nautilus
    i naciskamy klawisz Enter.
    • Teraz trzeba dostać się do katalogu z pobranymi paczkami WINE. Należy zatem przejść do katalogu głównego, następnie do home, potem odnaleźć katalog profilu, który był wykorzystany do ściągania paczek, a w nim ten, w którym je umieściliśmy.
    • Po znalezieniu się w odpowiednim katalogu (i działając, rzecz jasna, z nautilusa z uprawnieniami administratora), klikamy prawym klawiszem myszki na paczce wine-unstable_1.5.0-0.2_i386.deb (jeżeli nie posiadamy i nie ściągnęliśmy binariów dla 64bitowego procesora AMD - bo wtedy nazwy będą inne) i wybieramy z menu kontekstowego polecenie "Otwórz za pomocą instalatora pakietów...".
    • Po uruchomieniu czekamy, aż instalator wyświetli na czerwono nazwę brakującego pakietu. Spokojnie, jeżeli tylko ściągnęliśmy wszystkie paczki ze strony z binariami, na pewno jest dostępna. A zatem, zapamiętujemy nazwę wymaganego pakietu (można sobie gdzieś zapisać), zamykamy instalator, odnajdujemy w katalogu brakujący pakiet i zabieramy się za jego zainstalowanie.
      W taki sam sposób jak w poprzednim punkcie.
    • Możliwe, że też zostaniemy poinformowani o konieczności zainstalowania jeszcze innego pakietu. Wówczas postępujemy tak jak powyżej, aż znajdziemy pakiet, który da się zainstalować tak po prostu.
    • Kiedy zainstalujemy już wszystkie potrzebne pakiety, zawsze wychodząc od paczki  wine-unstable_1.5.0-0.2_i386.deb (jeżeli nie posiadamy i nie ściągnęliśmy binariów dla 64bitowego procesora AMD - bo wtedy nazwy będą inne), powinniśmy zainstalować jeszcze wszystkie pozostałe paczki. Jeżeli zapisywaliśmy gdzieś nazwy instalowanych paczek, to nie ma problemu. Jeśli nie - też, tyle że czeka nas nieco dłuższa praca.
      • W tym drugim przypadku, zaczynamy od pierwszej paczki w katalogu. Klikamy na niej prawym klawiszem myszki i z menu kontekstowego wybieramy polecenie "Otwórz za pomocą instalatora pakietów...". Instalator nie omieszka się nas poinformować, czy paczka jest już zainstalowana (wówczas zamykamy go i przechodzimy do następnej), czy też nie i wówczas ją instalujemy.
    • Po wszystkim szybko zamykamy nautilusa i terminal użytkownika root, aby nie dać się skusić podszeptom podłubania sobie w systemie z nieskończonymi uprawnieniami... 8)


    Po zainstalowaniu wszystkich paczek, w menu "Narzędzia systemowe" powinny się pojawić polecenia "Wine configuration" i "Wine uninstaller". To drugie polecenie, mimo że brzmi złowieszczo, w rzeczywistości jest odpowiednikiem windowsowego apletu "Dodaj/usuń programy" i można za jego pomocą dość wygodnie odinstalowywać programy Windows zainstalowane w WINE

    Przy pierwszym uruchomieniu "Wine configuration" zostanie wyświetlone ostrzeżenie o niestabilności wersji i propozycji pobrania stabilnej wine-gecko 1.0. Klikamy
Anuluj

To już właściwie wszystko. Proszę pamiętać, że przed uruchomieniem jakiegoś programu typu exe, należy zawsze mu nadawać atrybut wykonywalności.
Nie proś o więcej

cinmar

  • Gość
Odp: WINE 1.5 w LMDE - instalacja dla matoła
« Odpowiedź #1 dnia: Czerwiec 11, 2012, 20:12:22 pm »
Jeśli mogę tu napisać, to może przez terminal wpiszcie krok po kroku

sudo add-apt-repository ppa:ubuntu-wine/ppa
sudo apt-get update
sudo apt-get install wine1.5

Ps. mi przy pewnej wersji pomogło
« Ostatnia zmiana: Styczeń 23, 2013, 22:21:01 pm wysłana przez szymon1978 »

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2399
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: WINE 1.5 w LMDE - instalacja dla matoła
« Odpowiedź #2 dnia: Czerwiec 11, 2012, 20:35:27 pm »
Ppa w lmde nie działają. Jak ktoś chce najnowsze wine. dodajemy repo:
deb http://repozytorium.mati75.eu/debian sid maini instalujemy pakiet wine.

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!

Offline MultiOrg

  • Miętowa sadzonka
  • **
  • Wiadomości: 51
  • Punkty: 2
  • Płeć: Mężczyzna
Odp: WINE 1.5 w LMDE - instalacja dla matoła
« Odpowiedź #3 dnia: Czerwiec 20, 2013, 17:18:36 pm »
Nie proś o więcej

Offline mati75

  • Rodzina Linux Mint
  • Administrator
  • Spamerzy
  • *******
  • Wiadomości: 2399
  • Punkty: 25121
  • Płeć: Mężczyzna
    • >>>Click me!<<<
Odp: WINE 1.5 w LMDE - instalacja dla matoła
« Odpowiedź #4 dnia: Czerwiec 20, 2013, 20:44:20 pm »
wine-unstable:i386:
  Zainstalowana: (brak)
  Kandydująca:   1.5.29-1
  Tabela wersji:
     1.5.29-1 0
        500 http://http.debian.net/debian/ sid/main i386 Packages
Jest w głównym repozytorium.

υωαgα α∂мιи !!! вαиαмι иαριєя∂αℓα !!!